Package org.kie.internal.utils

# Class KieHelper

java.lang.Object
org.kie.internal.utils.KieHelper

public class KieHelper extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final KieFileSystem`
  `kfs`
  `final KieServices`
  `ks`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KieHelper()`
  `KieHelper(KnowledgeBuilderOption... options)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `KieHelper`
  `addContent(String content, String name)`
  `KieHelper`
  `addContent(String content, ResourceType type)`
  `KieHelper`
  `addContent(KieDescr descr)`
  `KieHelper`
  `addFromClassPath(String name)`
  `KieHelper`
  `addFromClassPath(String name, String encoding)`
  `KieHelper`
  `addResource(Resource resource)`
  `KieHelper`
  `addResource(Resource resource, ResourceType type)`
  `KieBase`
  `build(Class<? extends KieBuilder.ProjectType> projectType, KieBaseOption... options)`
  `KieBase`
  `build(Class<? extends KieBuilder.ProjectType> projectType, KieBaseConfiguration kieBaseConf)`
  `KieBase`
  `build(KieBaseOption... options)`
  `KieBase`
  `build(KieBaseConfiguration kieBaseConf)`
  `KieContainer`
  `getKieContainer()`
  `KieContainer`
  `getKieContainer(Class<? extends KieBuilder.ProjectType> projectType)`
  `KieHelper`
  `setClassLoader(ClassLoader classLoader)`
  `KieHelper`
  `setKieModuleModel(KieModuleModel kieModuleModel)`
  `KieHelper`
  `setReleaseId(ReleaseId releaseId)`
  `Results`
  `verify()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ks

    public final KieServices ks

  - ### kfs

    public final KieFileSystem kfs

- ## Constructor Details

  - ### KieHelper

    public KieHelper()

  - ### KieHelper

    public KieHelper(KnowledgeBuilderOption... options)

- ## Method Details

  - ### build

    public KieBase build(KieBaseConfiguration kieBaseConf)

  - ### build

    public KieBase build(KieBaseOption... options)

  - ### build

    public KieBase build(Class<? extends KieBuilder.ProjectType> projectType, KieBaseOption... options)

  - ### build

    public KieBase build(Class<? extends KieBuilder.ProjectType> projectType, KieBaseConfiguration kieBaseConf)

  - ### getKieContainer

    public KieContainer getKieContainer()

  - ### getKieContainer

    public KieContainer getKieContainer(Class<? extends KieBuilder.ProjectType> projectType)

  - ### verify

    public Results verify()

  - ### setReleaseId

    public KieHelper setReleaseId(ReleaseId releaseId)

  - ### setClassLoader

    public KieHelper setClassLoader(ClassLoader classLoader)

  - ### setKieModuleModel

    public KieHelper setKieModuleModel(KieModuleModel kieModuleModel)

  - ### addContent

    public KieHelper addContent(KieDescr descr)

  - ### addContent

    public KieHelper addContent(String content, ResourceType type)

  - ### addContent

    public KieHelper addContent(String content, String name)

  - ### addFromClassPath

    public KieHelper addFromClassPath(String name)

  - ### addFromClassPath

    public KieHelper addFromClassPath(String name, String encoding)

  - ### addResource

    public KieHelper addResource(Resource resource)

  - ### addResource

    public KieHelper addResource(Resource resource, ResourceType type)